Can't read .tfrecords files larger than 64mb

I was wondering if anyone could help me with this issue as it doesn't seem like anyone has had this issue with tensorflow 1.3.0.

Whenever I try to read a .tfrecords file larger than 64mb, it comes up with a long error:

Traceback (most recent call last):
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1327, in _do_call
    return fn(*args)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1306, in _run_fn
    status, run_metadata)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\contextlib.py", line 66, in __exit__
    next(self.gen)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\framework\errors_impl.py", line 466, in raise_exception_on_not_ok_status
    pywrap_tensorflow.TF_GetCode(status))
tensorflow.python.framework.errors_impl.InvalidArgumentError: Could not parse example input, value: '
�ם9
ѻ
csvȻ
Ļ
��@CQ�.�������M�B

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\write_to_tfrecords.py", line 581, in <module>
    main()
  File "D:\write_to_tfrecords.py", line 577, in main
    read_dataset_from_tfrecords()
  File "D:\write_to_tfrecords.py", line 554, in read_dataset_from_tfrecords
    image_dataset, csv_dataset = sess.run([image_out_reshaped, csv_out_reshaped])
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 895, in run
    run_metadata_ptr)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1124, in _run
    feed_dict_tensor, options, run_metadata)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1321, in _do_run
    options, run_metadata)
  File "C:\Users\benja\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1340, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.InvalidArgumentError: Could not parse example input, value: '
�ם9
ѻ
csvȻ
Ļ
��@CQ�.�������M�B

I've tried this on two systems:

System 1: OS: Windows 10 Python: v3.5.4 Tensorflow version: 1.3.0 no GPU

System 2: OS: Ubuntu 16.04 Python: v3.5.4 Tensorflow version: 1.3.0 CUDA8, cuDNN 6

Both of these systems exhibit the same issue even though I'm on the latest version that I've read should've fixed this issue.

I've also tried to upgrade my protobuf version, but it is already on the latest version.

I'm really perplexed by this issue.

Code sample is below:

name = check_object_database(index)

data_path = os.path.join('data', name + '.tfrecords')

with tf.Session() as sess:
    try:
        feature = {'images': tf.FixedLenFeature([], tf.string),
                   'csv': tf.FixedLenFeature([], tf.string)
                   }

        filename_queue = tf.train.string_input_producer([data_path], num_epochs=1)

        reader = tf.TFRecordReader()

        _, serialized_example = reader.read(filename_queue)

        features = tf.parse_single_example(serialized_example, features=feature)

        image_out = tf.decode_raw(features['images'], tf.uint8)
        csv_out = tf.decode_raw(features['csv'], tf.float32)

        image_out_reshaped = tf.reshape(image_out, [1000, 200, 200, 3])
        csv_out_reshaped = tf.reshape(csv_out, [1000, 6])

        sess.run(tf.global_variables_initializer())
        sess.run(tf.local_variables_initializer())

        # Create a coordinator and run all QueueRunner objects
        coord = tf.train.Coordinator()
        threads = tf.train.start_queue_runners(coord=coord)

        image_dataset, csv_dataset = sess.run([image_out_reshaped, csv_out_reshaped])

        coord.request_stop()
        coord.join(threads)

I would really appreciate it if someone could help me!

Thanks!